<?php
namespace Mageprince\Faq\Controller\Adminhtml\Faq\Save;

/**
 * Interceptor class for @see \Mageprince\Faq\Controller\Adminhtml\Faq\Save
 */
class Interceptor extends \Mageprince\Faq\Controller\Adminhtml\Faq\Save implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\App\Action\Context $context, \Magento\Framework\App\Request\DataPersistorInterface $dataPersistor, \Mageprince\Faq\Model\FaqFactory $faqFactory, \Mageprince\Faq\Api\FaqRepositoryInterface $faqRepository)
    {
        $this->___init();
        parent::__construct($context, $dataPersistor, $faqFactory, $faqRepository);
    }

    /**
     * {@inheritdoc}
     */
    public function execute()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }

    /**
     * {@inheritdoc}
     */
    public function dispatch(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'dispatch');
        return $pluginInfo ? $this->___callPlugins('dispatch', func_get_args(), $pluginInfo) : parent::dispatch($request);
    }
}
